SimpleFramedFeature (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.impl.SimpleFramedFeature class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.impl
Class SimpleFramedFeature

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.seq.impl.SimpleFeature
              org.biojava.bio.seq.impl.SimpleStrandedFeature
                  org.biojava.bio.seq.impl.SimpleFramedFeature

All Implemented Interfaces:
  Serializable, Annotatable, Feature, FeatureHolder, Frame, FramedFeature, RealizingFeatureHolder, StrandedFeature, Changeable

    public class SimpleFramedFeature

extends SimpleStrandedFeature
implements FramedFeature, Frame

Title: SimpleFramedFeature.

Description: A no frills implementation of FramedFeature.

Copyright: Copyright (c) 2001.

Version:
  1.0
Author:
  Mark Schreiber
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FramedFeature
`FramedFeature.ReadingFrame, FramedFeature.Template`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.StrandedFeature
`StrandedFeature.Strand`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.Feature
`Feature.ByLocationComparator`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FramedFeature
`FRAME_0, FRAME_1, FRAME_2`

Fields inherited from interface org.biojava.bio.seq.StrandedFeature
`NEGATIVE, POSITIVE, STRAND, UNKNOWN`

Fields inherited from interface org.biojava.bio.seq.Feature
`byLocationOrder, LOCATION, PROPERTY_DATA_KEY, SOURCE, SOURCETERM, TYPE, TYPETERM`

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER, FEATURES, SCHEMA`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Fields inherited from interface org.biojava.bio.seq.Frame
`FRAME_0, FRAME_1, FRAME_2`

Constructor Summary
`SimpleFramedFeature(Sequence sourceSeq, FeatureHolder parent, FramedFeature.Template template)`

Method Summary
`protected void` | `fillTemplate(FramedFeature.Template ft)`
`int` | `getFrame()` A method to get the frame information of the implementing object
`FramedFeature.ReadingFrame` | `getReadingFrame()` return the reading frame of the feature.
`Feature.Template` | `makeTemplate()` Create a new Template that could be used to generate a feature identical to this one.
`String` | `toString()`

Methods inherited from class org.biojava.bio.seq.impl.SimpleStrandedFeature
`fillTemplate, getStrand, getSymbols, setStrand`

Methods inherited from class org.biojava.bio.seq.impl.SimpleFeature
`containsFeature, countFeatures, createFeature, equals, featureHolderAllocated, features, fillTemplate, filter, filter, getAnnotation, getChangeSupport, getFeatureHolder, getLocation, getParent, getSchema, getSequence, getSource, getSourceTerm, getType, getTypeTerm, hashCode, realizeFeature, removeFeature, setLocation, setSource, setSourceTerm, setType, setTypeTerm`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.bio.seq.FramedFeature
`getStrand`

Methods inherited from interface org.biojava.bio.seq.StrandedFeature
`getSymbols, setStrand`

Methods inherited from interface org.biojava.bio.seq.Feature
`features, getLocation, getParent, getSequence, getSource, getSourceTerm, getType, getTypeTerm, setLocation, setSource, setSourceTerm, setType, setTypeTerm`

Methods inherited from interface org.biojava.bio.seq.FeatureHolder
`containsFeature, countFeatures, createFeature, filter, filter, getSchema, removeFeature`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### SimpleFramedFeature

    public SimpleFramedFeature(Sequence sourceSeq,
                               FeatureHolder parent,
                               FramedFeature.Template template)
                        throws IllegalAlphabetException

Throws:
  `IllegalAlphabetException`

Method Detail

### getReadingFrame

    public FramedFeature.ReadingFrame getReadingFrame()

  Description copied from interface: `FramedFeature`
  return the reading frame of the feature.

  Specified by:
    `getReadingFrame` in interface `FramedFeature`

### getFrame

    public int getFrame()

  Description copied from interface: `Frame`
  A method to get the frame information of the implementing object

  Specified by:
    `getFrame` in interface `Frame`
  Returns:
    an integer from 0 to 2 representing the frame.

### makeTemplate

    public Feature.Template makeTemplate()

  Description copied from interface: `Feature`
  Create a new Template that could be used to generate a feature identical to this one. The fields of the template can be edited without changing the feature.

  Specified by:
    `makeTemplate` in interface `Feature`
  Overrides:
    `makeTemplate` in class `SimpleStrandedFeature`
  Returns:
    a new Template that would make a feature like this one

### fillTemplate

    protected void fillTemplate(FramedFeature.Template ft)

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleStrandedFeature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD